summaryrefslogtreecommitdiffstats
path: root/games/jg-sameboy
diff options
context:
space:
mode:
Diffstat (limited to 'games/jg-sameboy')
-rw-r--r--games/jg-sameboy/README18
-rw-r--r--games/jg-sameboy/jg-sameboy.SlackBuild82
-rw-r--r--games/jg-sameboy/jg-sameboy.info10
-rw-r--r--games/jg-sameboy/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/games/jg-sameboy/README b/games/jg-sameboy/README
new file mode 100644
index 0000000000..9242c5bd55
--- /dev/null
+++ b/games/jg-sameboy/README
@@ -0,0 +1,18 @@
+jg-sameboy (Game Boy, GB Color emulation core for Jolly Good Emulation)
+
+SameBoy is an emulator for the Nintendo Game Boy/Game Boy Color.
+Source for the emulator core is unmodified from upstream sources.
+
+SameBoy supports "2 Player Mode" via Auxiliary Files. The Auxiliary
+File will be loaded as the second game (the first game specified on
+the command line in The Jolly Good Reference Frontend, and displayed
+on the bottom). Save data will work for both games, but cheats and
+states only work for the main game. The link cable and IR sensor are
+always considered connected in 2 Player Mode.
+
+Note: jollygood does not automatically use this core (it uses
+jg-gambatte for .gb and .gbc files). To use sameboy, you'll have to
+give the "-c sameboy" option to jollygood.
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-sameboy/jg-sameboy.SlackBuild b/games/jg-sameboy/jg-sameboy.SlackBuild
new file mode 100644
index 0000000000..32b006a42e
--- /dev/null
+++ b/games/jg-sameboy/jg-sameboy.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20240208 bkw: updated for v0.16.2
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-sameboy
+SRCNAM=sameboy
+VERSION=${VERSION:-0.16.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make -C jollygood install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-sameboy/jg-sameboy.info b/games/jg-sameboy/jg-sameboy.info
new file mode 100644
index 0000000000..69f7cb8d54
--- /dev/null
+++ b/games/jg-sameboy/jg-sameboy.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-sameboy"
+VERSION="0.16.2"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/sameboy/-/archive/0.16.2/sameboy-0.16.2.tar.gz"
+MD5SUM="7914ce1867cba4210a4cd1a654322243"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood rgbds"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-sameboy/slack-desc b/games/jg-sameboy/slack-desc
new file mode 100644
index 0000000000..022f341706
--- /dev/null
+++ b/games/jg-sameboy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-sameboy: jg-sameboy (GameBoy, GB Color emulation core for Jolly Good Emulation)
+jg-sameboy:
+jg-sameboy: SameBoy is an emulator for the Nintendo Game Boy/Game Boy Color.
+jg-sameboy: Source for the emulator core is unmodified from upstream sources.
+jg-sameboy:
+jg-sameboy: SameBoy supports "2 Player Mode" via Auxiliary Files. The Auxiliary
+jg-sameboy: File will be loaded as the second game (the first game specified on
+jg-sameboy: the command line in The Jolly Good Reference Frontend, and displayed
+jg-sameboy: on the bottom). Save data will work for both games, but cheats and
+jg-sameboy: states only work for the main game. The link cable and IR sensor are
+jg-sameboy: always considered connected in 2 Player Mode.